import 'package:json_annotation/json_annotation.dart';
import 'package:location/base/app_base_request.dart';

part 'track_daily_action_request.g.dart';

@JsonSerializable()
class TrackDailyActionRequest extends AppBaseRequest {
  @JsonKey(name: 'userId')
  String? userId;

  TrackDailyActionRequest(
    this.userId,
  );

  factory TrackDailyActionRequest.fromJson(Map<String, dynamic> json) =>
      _$TrackDailyActionRequestFromJson(json);

  @override
  Map<String, dynamic> toJson() => _$TrackDailyActionRequestToJson(this);
}
